English

Error: Error installing software authorization

Error Message

When attempting to authorize ArcSDE 9.0 from the post-installation wizard or the sdesetup -o upgrade_key command this error may occur:

"Error installing software authorization"

Cause

The ArcSDE metadata repository must be upgraded from 8.x to 9.x before ArcSDE authorization.

Solution or Workaround

Upgrade the ArcSDE metadata repository to 9.x using one of two methods.

  • On Windows, click Start > Programs > ArcGIS > ArcSDE > ArcSDE Post Installation. Select the Custom option. Uncheck all the checkbox options except for Repository Setup and complete the wizard.
  • On Windows or Unix, run the sdesetup -o upgrade command. Details on this command are found in the ArcSDE Install Guide.

Related Information